NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Die.PierceTaskBuilder Class Reference

Represents a Pierce Task feature builder More...

Inheritance diagram for NXOpen.Die.PierceTaskBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CamTypes { Direct = 2, Aerial = 0, BaseMounted }
 Settings for the cam type of the pierce task. More...
 
enum  CenterPointOptionTypes { None, Die, Product, Both }
 Settings for the center point output options of the pierce task. More...
 
enum  PrecisionTypes { Gage, Critical, Standard }
 Settings for the precistion type of the pierce task. More...
 

Public Member Functions

unsafe NXOpen.DisplayableObject[] GetAssociativeObjects ()
 Gets the associative objects of the pierce task More...
 
unsafe string[] GetCameraLayerAndXmlp (out string[] xmlpData)
 Gets the camera layer settings and xmlp data More...
 
unsafe string[] GetCameraNames ()
 Gets the names of the camera More...
 
unsafe NXOpen.View[] GetCameraViews ()
 Gets the camera views of the pierce task More...
 
unsafe string[] GetDetails ()
 Gets the detailed description of the pierce task More...
 
unsafe NXOpen.IProfile[] GetPierceBounds (out NXOpen.Die.DirectionOption direction)
 Gets the pierce bounds of the pierce task More...
 
unsafe NXOpen.Die.PierceItemBuilder NewPierceHole (NXOpen.Die.PierceItemBuilder.HoleShapeType holeShape)
 Creates a new pierce hole item in the set More...
 
unsafe void SetAssociativeObjects (NXOpen.DisplayableObject[] objects)
 Sets the associative objects of the pierce task More...
 
unsafe void SetCameraLayerAndXmlp (string[] layerSettings, string[] xmlpData)
 Sets the camera layer settings and xmlp data More...
 
unsafe void SetCameraNames (string[] strings)
 Sets the names of the camera More...
 
unsafe void SetCameraViews (NXOpen.View[] objects)
 Sets the camera views of the pierce task More...
 
unsafe void SetDetails (string[] strings)
 Sets the detailed description of the pierce task More...
 
unsafe void SetPierceBounds (NXOpen.Die.DirectionOption direction, NXOpen.IProfile[] profileEntries)
 Sets the pierce bounds of the pierce task. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance of the pierce task More...
 
unsafe NXOpen.SelectNXObjectList AssociatedObjects [get]
 Returns the assoc objects More...
 
unsafe NXOpen.ILocation CamDirection [get, set]
 Returns or sets the cam direction of the pierce task More...
 
unsafe
NXOpen.Die.PierceTaskBuilder.CamTypes 
CamType [get, set]
 Returns or sets the cam type of the pierce task More...
 
unsafe
NXOpen.Die.PierceTaskBuilder.CenterPointOptionTypes 
CenterPointOption [get, set]
 Returns or sets the center point output option of the pierce task More...
 
unsafe bool CreateScrap [get, set]
 Returns or sets the create scrap setting of the pierce task. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance of the pierce task More...
 
unsafe bool FinishOperation [get, set]
 Returns or sets the finish operation of the pierce task True indicates the pierce is to be a finish pierce. More...
 
unsafe bool LayoutFlange [get, set]
 Returns or sets the layout flange setting of the pierce task. More...
 
unsafe NXOpen.ScCollector PierceHoles [get]
 Returns the pierce holes More...
 
unsafe
NXOpen.Die.PierceItemBuilderList 
PierceHolesList [get]
 Returns the pierce holes list More...
 
unsafe
NXOpen.Die.PierceTaskBuilder.PrecisionTypes 
PrecisionType [get, set]
 Returns or sets the precision type of the pierce task More...
 
unsafe
NXOpen.Features.SelectFeature 
TipFeature [get]
 Returns the tip feature More...
 
unsafe NXOpen.Features.Feature TippedProduct [get, set]
 Returns or sets the tipped product of the pierce task More...
 
unsafe bool TrimNewDieFace [get, set]
 Returns or sets the trim new die face, from NX10. More...
 
unsafe NXOpen.Body WithoutWorkflowSheet [get, set]
 Returns or sets the without workflow sheet of the pierce task builder. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Pierce Task feature builder

To create a new instance of this class, use NXOpen.Die.DieCollection.PierceTask

Created in NX4.0.0

Member Enumeration Documentation

Settings for the cam type of the pierce task.

Enumerator
Direct 

Direct

Aerial 

Aerial Cam

BaseMounted 

Base Mounted Cam

Settings for the center point output options of the pierce task.

Enumerator
None 

No center points output

Die 

Center points output in die position

Product 

Center points output in product position

Both 

Center points output in both die and product position

Settings for the precistion type of the pierce task.

Enumerator
Gage 

Gage hole

Critical 

Critical hole

Standard 

Standard hole

Member Function Documentation

unsafe NXOpen.DisplayableObject [] NXOpen.Die.PierceTaskBuilder.GetAssociativeObjects ( )
inline

Gets the associative objects of the pierce task

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Returns
unsafe string [] NXOpen.Die.PierceTaskBuilder.GetCameraLayerAndXmlp ( out string[]  xmlpData)
inline

Gets the camera layer settings and xmlp data

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Returns
1 layer setting string for each camera object. the string needs to be 256 characters long (one for each user layer) with either 0 for off or 1 for on.
Parameters
xmlpDataxmlp data
unsafe string [] NXOpen.Die.PierceTaskBuilder.GetCameraNames ( )
inline

Gets the names of the camera

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Returns
each string contains the name of a camera object
unsafe NXOpen.View [] NXOpen.Die.PierceTaskBuilder.GetCameraViews ( )
inline

Gets the camera views of the pierce task

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Returns
unsafe string [] NXOpen.Die.PierceTaskBuilder.GetDetails ( )
inline

Gets the detailed description of the pierce task

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Returns
detail strings
unsafe NXOpen.IProfile [] NXOpen.Die.PierceTaskBuilder.GetPierceBounds ( out NXOpen.Die.DirectionOption  direction)
inline

Gets the pierce bounds of the pierce task

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
directionProfile direction
Returns
Profile entries that make up the boundary of the pierce task
unsafe NXOpen.Die.PierceItemBuilder NXOpen.Die.PierceTaskBuilder.NewPierceHole ( NXOpen.Die.PierceItemBuilder.HoleShapeType  holeShape)
inline

Creates a new pierce hole item in the set

Created in NX5.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
holeShape
Returns
unsafe void NXOpen.Die.PierceTaskBuilder.SetAssociativeObjects ( NXOpen.DisplayableObject[]  objects)
inline

Sets the associative objects of the pierce task

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
objects
unsafe void NXOpen.Die.PierceTaskBuilder.SetCameraLayerAndXmlp ( string[]  layerSettings,
string[]  xmlpData 
)
inline

Sets the camera layer settings and xmlp data

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
layerSettings1 layer setting string for each camera object. the string needs to be 256 characters long (one for each user layer) with either 0 for off or 1 for on.
xmlpDataxmlp data
unsafe void NXOpen.Die.PierceTaskBuilder.SetCameraNames ( string[]  strings)
inline

Sets the names of the camera

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
stringseach string contains the name of a camera object
unsafe void NXOpen.Die.PierceTaskBuilder.SetCameraViews ( NXOpen.View[]  objects)
inline

Sets the camera views of the pierce task

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
objects
unsafe void NXOpen.Die.PierceTaskBuilder.SetDetails ( string[]  strings)
inline

Sets the detailed description of the pierce task

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
stringsdetail strings
unsafe void NXOpen.Die.PierceTaskBuilder.SetPierceBounds ( NXOpen.Die.DirectionOption  direction,
NXOpen.IProfile[]  profileEntries 
)
inline

Sets the pierce bounds of the pierce task.

Note - Die.PierceTaskBuilder.TippedProduct needs to be called before this function.

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
directionProfile direction
profileEntriesProfile entries that make up the boundary of the pierce task

Property Documentation

unsafe double NXOpen.Die.PierceTaskBuilder.AngleTolerance
getset

Returns or sets the angle tolerance of the pierce task

Created in NX4.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.SelectNXObjectList NXOpen.Die.PierceTaskBuilder.AssociatedObjects
get

Returns the assoc objects

Created in NX5.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.ILocation NXOpen.Die.PierceTaskBuilder.CamDirection
getset

Returns or sets the cam direction of the pierce task

Created in NX4.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Die.PierceTaskBuilder.CamTypes NXOpen.Die.PierceTaskBuilder.CamType
getset

Returns or sets the cam type of the pierce task

Created in NX4.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Die.PierceTaskBuilder.CenterPointOptionTypes NXOpen.Die.PierceTaskBuilder.CenterPointOption
getset

Returns or sets the center point output option of the pierce task

Created in NX5.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Die.PierceTaskBuilder.CreateScrap
getset

Returns or sets the create scrap setting of the pierce task.

True indicates that the scrap is to be created.

Created in NX7.5.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe double NXOpen.Die.PierceTaskBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance of the pierce task

Created in NX4.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Die.PierceTaskBuilder.FinishOperation
getset

Returns or sets the finish operation of the pierce task True indicates the pierce is to be a finish pierce.

False indicates rough pierce.

Created in NX4.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Die.PierceTaskBuilder.LayoutFlange
getset

Returns or sets the layout flange setting of the pierce task.

True indicates that the pierce curve is to be laid out on the flange.

Created in NX4.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.ScCollector NXOpen.Die.PierceTaskBuilder.PierceHoles
get

Returns the pierce holes

Created in NX5.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Die.PierceItemBuilderList NXOpen.Die.PierceTaskBuilder.PierceHolesList
get

Returns the pierce holes list

Created in NX5.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Die.PierceTaskBuilder.PrecisionTypes NXOpen.Die.PierceTaskBuilder.PrecisionType
getset

Returns or sets the precision type of the pierce task

Created in NX4.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Features.SelectFeature NXOpen.Die.PierceTaskBuilder.TipFeature
get

Returns the tip feature

Created in NX5.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Features.Feature NXOpen.Die.PierceTaskBuilder.TippedProduct
getset

Returns or sets the tipped product of the pierce task

Created in NX4.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Die.PierceTaskBuilder.TrimNewDieFace
getset

Returns or sets the trim new die face, from NX10.

0 new stamping output can import one new die face to die engineer process. If this pierce task will trim this new die face, set trimNewDieFace to true, or else set it to false.

Created in NX10.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Body NXOpen.Die.PierceTaskBuilder.WithoutWorkflowSheet
getset

Returns or sets the without workflow sheet of the pierce task builder.

In release NX11.0, pierce task supports without workflow type when the workflow tip feature does not exist.

Created in NX11.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.